---
title: "GetBotOidcTrust"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.ezghcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: EZGH Cloud organizations and IAM › botOidcTrust

`GET /v1/organizations/{orgId}/bots/{botId}/oidc-trust`

## Authentication

Requires one of the following:

- `apiKey`, http, header `Authorization`
- `oauth`, http, header `Authorization`
- `sessionCookie`, apiKey, in cookie

## Path parameters

- `GetBotOidcTrust.path.orgId` (string, required)
- `GetBotOidcTrust.path.botId` (string, required)

## Code samples

### cURL

```curl
curl --request GET \
  --url https://orgs.ezghcloud.com/v1/organizations/string/bots/string/oidc-trust \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://orgs.ezghcloud.com/v1/organizations/string/bots/string/oidc-trust';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://orgs.ezghcloud.com/v1/organizations/string/bots/string/oidc-trust"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Success

#### Example

```json
{
  "oidcTrust": [
    {
      "id": "string",
      "provider": {
        "id": "string",
        "name": "string",
        "resourceName": "string",
        "issuer": "string"
      },
      "subject": "string",
      "claims": {
        "property1": "string",
        "property2": "string"
      },
      "createdAt": "string"
    }
  ]
}
```

- `GetBotOidcTrust.response.200.oidcTrust` (array<object>, required)
  - `GetBotOidcTrust.response.200.oidcTrust.id` (string, required)
  - `GetBotOidcTrust.response.200.oidcTrust.provider` (object, required)
    - `GetBotOidcTrust.response.200.oidcTrust.provider.id` (string, required)
    - `GetBotOidcTrust.response.200.oidcTrust.provider.name` (string, required)
    - `GetBotOidcTrust.response.200.oidcTrust.provider.resourceName` (string, required)
    - `GetBotOidcTrust.response.200.oidcTrust.provider.issuer` (string, required)
  - `GetBotOidcTrust.response.200.oidcTrust.subject` (string, required)
  - `GetBotOidcTrust.response.200.oidcTrust.claims` (map<string>, required)
  - `GetBotOidcTrust.response.200.oidcTrust.createdAt` (string, required)

### 400

InvalidRequest

#### Example

```json
{
  "error": {
    "code": "invalid_request",
    "message": "string",
    "issues": [
      {
        "path": "string",
        "message": "string"
      }
    ]
  }
}
```

- `GetBotOidcTrust.response.400.error` (object, required)
  - `GetBotOidcTrust.response.400.error.code` (string, required)
    - one of `"invalid_request"`
  - `GetBotOidcTrust.response.400.error.message` (string, required)
  - `GetBotOidcTrust.response.400.error.issues` (array<object>, optional)
    - `GetBotOidcTrust.response.400.error.issues.path` (string, required)
    - `GetBotOidcTrust.response.400.error.issues.message` (string, required)

### 401

Unauthenticated

#### Example

```json
{
  "error": {
    "code": "unauthenticated",
    "message": "string"
  }
}
```

- `GetBotOidcTrust.response.401.error` (object, required)
  - `GetBotOidcTrust.response.401.error.code` (string, required)
    - one of `"unauthenticated"`
  - `GetBotOidcTrust.response.401.error.message` (string, required)

### 403

AccessDenied | ForbiddenOrigin

#### Example

```json
{
  "error": {
    "code": "access_denied",
    "message": "string"
  }
}
```

Any of:

- [AccessDeniedEncoded](/orgs-api/schemas/AccessDeniedEncoded/)
- [ForbiddenOriginEncoded](/orgs-api/schemas/ForbiddenOriginEncoded/)

### 404

NotFound

#### Example

```json
{
  "error": {
    "code": "not_found",
    "message": "string"
  }
}
```

- `GetBotOidcTrust.response.404.error` (object, required)
  - `GetBotOidcTrust.response.404.error.code` (string, required)
    - one of `"not_found"`
  - `GetBotOidcTrust.response.404.error.message` (string, required)

### 429

TooManyRequests

#### Example

```json
{
  "error": {
    "code": "too_many_requests",
    "message": "string"
  }
}
```

- `GetBotOidcTrust.response.429.error` (object, required)
  - `GetBotOidcTrust.response.429.error.code` (string, required)
    - one of `"too_many_requests"`
  - `GetBotOidcTrust.response.429.error.message` (string, required)

### 500

InternalError

#### Example

```json
{
  "error": {
    "code": "internal_error",
    "message": "string"
  }
}
```

- `GetBotOidcTrust.response.500.error` (object, required)
  - `GetBotOidcTrust.response.500.error.code` (string, required)
    - one of `"internal_error"`
  - `GetBotOidcTrust.response.500.error.message` (string, required)

### 503

Unavailable

#### Example

```json
{
  "error": {
    "code": "unavailable",
    "message": "string"
  }
}
```

- `GetBotOidcTrust.response.503.error` (object, required)
  - `GetBotOidcTrust.response.503.error.code` (string, required)
    - one of `"unavailable"`
  - `GetBotOidcTrust.response.503.error.message` (string, required)


Source: https://docs.ezghcloud.com/orgs-api/botOidcTrust/GetBotOidcTrust/index.md
